      subroutine nulify (spcgrp,seq,elem,dbname,title,ili,u)            NULI001
c ----------------------------------------------------------------------NULI002
c     reset arrays INSHELL/LPREP                                        NULI003
c ----------------------------------------------------------------------NULI004
c     This program module is part of the PhysiSoft X-ray Library        NULI005
c     and may not be sold or reproduced for commercial purposes.        NULI006
c     Although it has been tested carefully, there is no warranty       NULI007
c     regarding accuracy or freedom from side-effects.                  NULI008
c                   (C) 1986-1990 Bernhard Rupp                         NULI009
c ----------------------------------------------------------------------NULI010
                                                                        NULI011
      parameter (iat=20)                                                NULI012
                                                                        NULI013
      character seq*4,elem*2,dbname*8,spcgrp*10,title*60,ili*60         NULI014
      real u(iat,3)                                                     NULI015
      dimension seq(iat),elem(iat),ili(6+iat)                           NULI016
                                                                        NULI017
      write(title,'(60a1)') (' ',j=1,60)                                NULI018
      write(dbname,'(8a1)') (' ',j=1,8)                                 NULI019
      do 0001 i=1,iat                                                   NULI020
         do 0002 j=1,3                                                  NULI021
            u(i,j)=0.0                                                  NULI022
 0002    continue                                                       NULI023
         seq(i)='    '                                                  NULI024
         elem(i)='  '                                                   NULI025
         write(spcgrp,'(10a1)') (' ',j=1,10)                            NULI026
         write(ili(i),'(60a1)') (' ',j=1,60)                            NULI027
 0001 continue                                                          NULI028
      return                                                            NULI029
      end                                                               NULI030
